Subject: Re: [Pce] [Technical Errata Reported] RFC8231 (5492)

From: Dhruv Dhody <[email-masked]>
Date: Wed, 6 Feb 2019 20:27:14 +0530

Hi Deborah, WG,

This errata has been pending for some time now, apologies to Upendra
for the delay.

My suggestion to resolve this errata is to make the following edit in
the errata report, and then approve it as an editorial change.

Section 6.1

Original Text:

    Where:
      <path>::= <intended-path>
                [<actual-attribute-list><actual-path>]
                <intended-attribute-list>

Corrected Text:

    Where:
      <path>::= <intended-path>
                [<actual-attribute-list><actual-path>]
                [<intended-attribute-list>]

Notes:

The change aligns the RBNF with the following text in the document -

      Note that the intended-attribute-list is optional and
      thus may be omitted.

Since RBNF is not normative, suggested to classify this as an editorial errata.

--

Furthermore, <intended-attribute-list> is the attribute-list defined
in Section 6.5 of [RFC5440] and extended by PCEP extensions.

where,
    <attribute-list>::=[<LSPA>]
                       [<BANDWIDTH>]
                       [<metric-list>]
                       [<IRO>]

    <metric-list>::=<METRIC>[<metric-list>]

Since all objects in this list are optional, so
[<intended-attribute-list>] does not change technically, but does
increase readability.

Thanks!
Dhruv

On Wed, Sep 5, 2018 at 5:54 PM RFC Errata System
<[email-masked]> wrote:
>
> The following errata report has been submitted for RFC8231,
> "Path Computation Element Communication Protocol (PCEP) Extensions for Stateful PCE".
>
> --------------------------------------
> You may review the report below and at:
> http://www.rfc-editor.org/errata/eid5492
>
> --------------------------------------
> Type: Technical
> Reported by: Upendra Singh <[email-masked]>
>
> Section: 6.1
>
> Original Text
> -------------
> Under section 6.1, PCRpt message is defined.
> In definition of path,
>
>     Where:
>       <path>::= <intended-path>
>                 [<actual-attribute-list><actual-path>]
>                 <intended-attribute-list>
>
>
> And in the same section in 4th last paragraph:
>
> "Note that the intended-attribute-list is optional and
>    thus may be omitted.  In this case, the PCE MAY use the values in the
>    actual-attribute-list as the requested parameters for the path."
>
> Corrected Text
> --------------
>
>
> Notes
> -----
> The definition of <path> defines that <actual-attribute-list> is optional, whereas down in paragraph it says <intended-attribute-list> is optional.
>
> This creates the conflict between PCRpt message format and the text description of the message.
>
> Instructions:
> -------------
> This erratum is currently posted as "Reported". If necessary, please
> use "Reply All" to discuss whether it should be verified or
> rejected. When a decision is reached, the verifying party
> can log in to change the status and edit the report, if necessary.
>
> --------------------------------------
> RFC8231 (draft-ietf-pce-stateful-pce-21)
> --------------------------------------
> Title               : Path Computation Element Communication Protocol (PCEP) Extensions for Stateful PCE
> Publication Date    : September 2017
> Author(s)           : E. Crabbe, I. Minei, J. Medved, R. Varga
> Category            : PROPOSED STANDARD
> Source              : Path Computation Element
> Area                : Routing
> Stream              : IETF
> Verifying Party     : IESG
>
> _______________________________________________
> Pce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pce